package com.chenyang.nse.bussiness.entity.orm.table.core.notice;

import com.chenyang.nse.bussiness.entity.orm.table.TInitEntity;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_MAILINFORMATION"
)
public class MailInformation extends TInitEntity {
   @Column(
      length = 32
   )
   private String host;
   @Column(
      length = 32
   )
   private String sendemail;
   @Column(
      length = 32
   )
   private String sendpassword;
   @Column(
      length = 32
   )
   private String sendname;
   @Column(
      length = 32
   )
   private String mailto;
   @Column(
      length = 32
   )
   private String mailsubject;
   @Column(
      length = 3000
   )
   private String mailbody;
   @Column(
      length = 11
   )
   private Integer port;
   @Column(
      length = 32
   )
   private String sslflag;
   @Column(
      length = 32
   )
   private String encrytype;

   public String getHost() {
      return this.host;
   }

   public void setHost(String host) {
      this.host = host;
   }

   public String getSendemail() {
      return this.sendemail;
   }

   public void setSendemail(String sendemail) {
      this.sendemail = sendemail;
   }

   public String getSendpassword() {
      return this.sendpassword;
   }

   public void setSendpassword(String sendpassword) {
      this.sendpassword = sendpassword;
   }

   public String getSendname() {
      return this.sendname;
   }

   public void setSendname(String sendname) {
      this.sendname = sendname;
   }

   public String getMailto() {
      return this.mailto;
   }

   public void setMailto(String mailto) {
      this.mailto = mailto;
   }

   public String getMailsubject() {
      return this.mailsubject;
   }

   public void setMailsubject(String mailsubject) {
      this.mailsubject = mailsubject;
   }

   public String getMailbody() {
      return this.mailbody;
   }

   public void setMailbody(String mailbody) {
      this.mailbody = mailbody;
   }

   public Integer getPort() {
      return this.port;
   }

   public void setPort(Integer port) {
      this.port = port;
   }

   public String getSslflag() {
      return this.sslflag;
   }

   public void setSslflag(String sslflag) {
      this.sslflag = sslflag;
   }

   public String getEncrytype() {
      return this.encrytype;
   }

   public void setEncrytype(String encrytype) {
      this.encrytype = encrytype;
   }
}
